compose_metadata:
  config-hash: da591ea7425c896f27e7b72e06dc7505b8893b87cf82dd7ab9da16f636bb9771
  container-number: '1'
  depends_on: db:service_healthy:false
  image: sha256:c80f8dd6c21da4f283dcb93ff5eac445c02b53e77395776d4cf1eda40f42c347
  oneoff: 'False'
  project: joplin
  project.config_files: ''
  project.working_dir: /data/compose/102
  replace: 1b40daeeaaddc12a9f31fb9f1befaba1f20027dbc55dbd297fbbd94958161891
  service: app
  version: ''
container_id: b266f61836b05b004661163fee8207beedfcfacdb535bd5446d0f26056b789fb
created: '2025-08-19T06:05:42.121498481Z'
devices:
  device_cgroup_rules: []
  device_requests: []
  devices: []
environment:
  APP_BASE_URL: http://omv800.tail6ca08d.ts.net:22300
  APP_PORT: '22300'
  DB_CLIENT: pg
  NODE_ENV: production
  NODE_VERSION: 18.20.8
  PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  POSTGRES_DATABASE: joplin
  POSTGRES_HOST: db
  POSTGRES_PASSWORD: '***SENSITIVE_VALUE*** (jopl...)'
  POSTGRES_PORT: '5432'
  POSTGRES_USER: joplin
  RUNNING_IN_DOCKER: '1'
  YARN_VERSION: 1.22.22
execution:
  cmd:
  - yarn
  - start-prod
  entrypoint:
  - tini
  - --
  stop_signal: null
  user: joplin
  working_dir: /home/joplin/packages/server
host_system: omv800.local_20250823
image:
  platform: linux
  sha: sha256:aa1a9e5640c8f0f6f0781b7b82c44236c59953273f20aab1376e58bc1d3217b9
  tag: joplin/server:latest
labels:
  com.docker.compose.config-hash: da591ea7425c896f27e7b72e06dc7505b8893b87cf82dd7ab9da16f636bb9771
  com.docker.compose.container-number: '1'
  com.docker.compose.depends_on: db:service_healthy:false
  com.docker.compose.image: sha256:c80f8dd6c21da4f283dcb93ff5eac445c02b53e77395776d4cf1eda40f42c347
  com.docker.compose.oneoff: 'False'
  com.docker.compose.project: joplin
  com.docker.compose.project.config_files: ''
  com.docker.compose.project.working_dir: /data/compose/102
  com.docker.compose.replace: 1b40daeeaaddc12a9f31fb9f1befaba1f20027dbc55dbd297fbbd94958161891
  com.docker.compose.service: app
  com.docker.compose.version: ''
  org.opencontainers.image.created: '2025-08-18T17:10:56+00:00'
  org.opencontainers.image.description: Docker image for Joplin Server
  org.opencontainers.image.revision: 9147afc
  org.opencontainers.image.source: https://github.com/laurent22/joplin.git
  org.opencontainers.image.title: Joplin Server
  org.opencontainers.image.url: https://joplinapp.org/
  org.opencontainers.image.version: 3.4.2
name: joplin-app-1
networks:
  dns:
    nameservers: []
    options: []
    search_domains: []
  extra_hosts: []
  links: null
  networks:
    joplin_default:
      aliases:
      - joplin-app-1
      - app
      - f0d03bfbfa44
      dns_names:
      - joplin-app-1
      - app
      - f0d03bfbfa44
      - b266f61836b0
      endpoint_id: f8c363d5844057a27f2001b3961816df50771f19fbd2f109b8e27b89a39cde5c
      gateway: 172.19.0.1
      global_ipv6_address: ''
      ip_address: 172.19.0.2
      ip_prefix_len: 16
      ipam_config: null
      ipv6_gateway: ''
      mac_address: 5e:2f:27:cb:01:05
      network_id: 05432eea15b8a5e6021d417f8c3d1ea6b34cf4c9e24d2fb87ea578087ae83c95
  publish_all_ports: false
ports:
  bindings:
    22300/tcp:
    - host_ip: ''
      host_port: '22300'
  exposed:
  - 22300/tcp
  published:
    22300/tcp:
    - host_ip: 0.0.0.0
      host_port: '22300'
    - host_ip: '::'
      host_port: '22300'
resources:
  blkio:
    device_read_bps: null
    device_read_iops: null
    device_write_bps: null
    device_write_iops: null
    weight: 0
    weight_device: null
  cpu:
    count: 0
    cpuset_cpus: ''
    cpuset_mems: ''
    percent: 0
    period: 0
    quota: 0
    realtime_period: 0
    realtime_runtime: 0
    shares: 0
  io:
    maximum_bandwidth: 0
    maximum_iops: 0
  memory:
    limit: 0
    oom_kill_disable: null
    reservation: 0
    swap: 0
    swappiness: null
  pids_limit: null
  shm_size: 67108864
  ulimits: null
runtime:
  auto_remove: false
  cgroup_ns_mode: private
  ipc_mode: private
  network_mode: joplin_default
  pid_mode: ''
  privileged: false
  restart_policy:
    MaximumRetryCount: 0
    Name: unless-stopped
  user_ns_mode: ''
  uts_mode: ''
security:
  apparmor_profile: docker-default
  cap_add: null
  cap_drop: null
  cgroup: ''
  cgroup_parent: ''
  group_add: null
  isolation: ''
  masked_paths:
  - /proc/asound
  - /proc/acpi
  - /proc/interrupts
  - /proc/kcore
  - /proc/keys
  - /proc/latency_stats
  - /proc/timer_list
  - /proc/timer_stats
  - /proc/sched_debug
  - /proc/scsi
  - /sys/firmware
  - /sys/devices/virtual/powercap
  - /sys/devices/system/cpu/cpu0/thermal_throttle
  - /sys/devices/system/cpu/cpu1/thermal_throttle
  - /sys/devices/system/cpu/cpu2/thermal_throttle
  - /sys/devices/system/cpu/cpu3/thermal_throttle
  no_new_privileges: false
  oom_score_adj: 0
  readonly_paths:
  - /proc/bus
  - /proc/fs
  - /proc/irq
  - /proc/sys
  - /proc/sysrq-trigger
  readonly_rootfs: false
  runtime: runc
  security_opt: null
source_file: system_audit_omv800.local_20250823_214938/discovery/2_services/container_joplin-app-1.json
volumes:
  bind_strings: []
  detailed_mounts: []
